from fastapi import APIRouter, Depends, Request
from fastapi.staticfiles import StaticFiles
from fastapi.templating import Jinja2Templates
from sqlalchemy.orm import Session

from argos.server import queries
from argos.server.routes.dependencies import get_db

route = APIRouter()

templates = Jinja2Templates(directory="argos/server/templates")


@route.get("/")
async def read_tasks(request: Request, db: Session = Depends(get_db)):
    domains = await queries.get_domains_with_severities(db)
    return templates.TemplateResponse(
        "index.html", {"request": request, "domains": domains}
    )
